精华内容
下载资源
问答
  • 2021-01-14 17:10:07

    报错信息:

    报错原因:

    项目中Java版本不一致,可以查看项目中的jdk配置

    1、查看项目的jdk(Ctrl+Alt+shift+S)

    File ->Project Structure->Project Settings ->Project

    2、查看工程的jdk(Ctrl+Alt+shift+S)

    File ->Project Structure->Project Settings -> Modules -> (需要修改的工程名称) -> Sources ->

    3、查看idea中Java配置

    File–>Other Settings–>Default Settings–>Compiler–>Java Compiler

    如果出现的Choose Module框中是空白,无法修改Target bytecode version.则:

    选中项目,右击选择Maven–>Reimport, 然后再次编译,问题解决。

    ————————————————

    版权声明:本文为CSDN博主「djch0319」的原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接及本声明。

    原文链接:https://blog.csdn.net/qq291539326/article/details/79311373/

    更多相关内容
  • Tomcat与JDK版本对应关系为: Servlet规格 JSP规范 EL规格 WebSocket规范 JASPIC规格 Apache Tomcat版本 最新发行版本 支持的Java版本 4.0 2.3 3.0 1.1 1.1 9.0.x 9.0.27 8及更高版本 3.1 2.3 3.0 1.1 1.1 ...
  • 达梦7JDBC驱动分为Dm7JdbcDriver14、Dm7JdbcDriver15、Dm7JdbcDriver16,分别对应Jdk1.4、Jdk...达梦7提供不同hibernate和jdk版本的方言包,用户可根据开发环境选择对应的方言包版本,相关方言包驱动在dialect目录下;
  • Tomcat和JDK版本对应关系

    千次阅读 2022-04-10 15:23:57
    在面临以下两种情景时,我们常常讨论Tomcat和JDK版本对应关系。 一是:安装哪种版本JDK,可以使tomcat运行起来; 二是:安装哪种版本JDK+Tomcat组合,可以让我用某版本JDK编写的网站运行起来。 其实,这两种...

    在面临以下两种情景时,我们常常讨论Tomcat和JDK版本的对应关系。

    一是:安装哪种版本的JDK,可以使tomcat运行起来;

    二是:安装哪种版本的JDK+Tomcat组合,可以让我用某版本JDK编写的网站运行起来。

    其实,这两种问题有一个共同的答案:低版本JDK无法运行高版本JDK编译的代码。

    tomcat官网(http://tomcat.apache.org/whichversion.html)给出了tomcat和JDK版本的匹配情况:

    e39f336e25d08627dca1d733bbb2c288.png

    我安装了tomcat9和JDK1.7,当我启动tomcat时报错(Unsupportedmajor.minorversion 52.0):

    (52.0是java编码器的内部编号,JDK1.4–48.0,JDK1.5–49.0,JDK1.6–50.0,JDK1.7–51.0,JDK1.8–52.0)

    b630f20f4abcbb6f5a0016bbd7e4ca0f.png

    出现这个问题的原因是:本地安装的JDK1.7和tomcat9不兼容,tomcat9需要在1.8版本以上的JDK环境上才能正常运行。另外,下载的Tomcat的RUNNING.txt也有当前版本所需JDK说明:

    Apache Tomcat 9.0 requires a Java Standard Edition RuntimeEnvironment (JRE) version 8 or later.

    展开全文
  • 下载地址 https://www.oracle.com/java/technologies/downloads/archive/ 对应关系

    下载地址

    https://www.oracle.com/java/technologies/downloads/archive/

    对应关系在这里插入图片描述

    展开全文
  • jdk版本对应数字

    千次阅读 2021-03-15 19:58:16
    org.springframework.beans.... 下面是jdk版本对应数字: Java SE 9 = 53, Java SE 8 = 52, Java SE 7 = 51, Java SE 6.0 = 50, Java SE 5.0 = 49, JDK 1.4 = 48, JDK 1.3 = 47, JDK 1.2 = 46, JDK 1.1 = 45 原文地址:...

    org.springframework.beans.factory.BeanCreationException: Error creating bean with name ‘org.springframework.web.servlet.mvc.annotation.DefaultAnnotationHandlerMapping#0‘ defined in ServletContext resource [/WEB-INF/applicationContext.xml]: Cannot create inner bean ‘brave.spring.webmvc.SpanCustomizingHandlerInterceptor#1fbc355‘ of type [brave.spring.webmvc.SpanCustomizingHandlerInterceptor] while setting bean property ‘interceptors‘ with key [0]; nested exception is org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class [brave.spring.webmvc.SpanCustomizingHandlerInterceptor] for bean with name ‘brave.spring.webmvc.SpanCustomizingHandlerInterceptor#1fbc355‘ defined in ServletContext resource [/WEB-INF/applicationContext.xml]: problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: brave/spring/webmvc/SpanCustomizingHandlerInterceptor : Unsupported major.minor version 51.0 (unable to load class brave.spring.webmvc.SpanCustomizingHandlerInterceptor)

    这是因为编译jdk版本(jdk1.7)高于运行是版本(jdk1.6造成的);

    下面是jdk版本对应数字:

    Java SE 9 = 53,

    Java SE 8 = 52,

    Java SE 7 = 51,

    Java SE 6.0 = 50,

    Java SE 5.0 = 49,

    JDK 1.4 = 48,

    JDK 1.3 = 47,

    JDK 1.2 = 46,

    JDK 1.1 = 45

    展开全文
  • Eclipse和JDK版本对应关系

    千次阅读 2021-06-03 17:45:14
    Eclipse和JDK版本对应关系 1.Eclipse 4.6 (Neon)—需要JDK1.8版本,官网解释如下 Eclipse 4.6 (Neon)isscheduled for release on June 22, 2016. A Java 8 JRE/JDK is required to run all Neon packages based on ...
  • 需要的JDK最低版本 Callisto 3.2 2006年6月26日 N/A N/A JDK1.4 Europa 3.3 2007年6月27日 2007年9月28日 2008年2月29日 JDK1.5 Ganymede 3.4 2008年6月25日 2008...
  • hadoop与jdk版本对应关系

    千次阅读 2022-04-03 11:01:59
    hadoop-3.1.3 JDK 1.8 hadoop-2.10.2JDK 1.7 or 1.8 hadoop-2.9.2 JDK 1.7 or 1.8 hadoop-2.8.2 JDK 1.7+ hadoop-2.7.1 JDK 1.7+
  • Spring和JDK版本对应

    2022-04-08 18:06:02
    spring3.x 对应 jdk1.7 spring4.x 对应 jdk1.8 如果遇见tomcat正常启动了出现505页面,考虑是不是版本问题
  • JDK则在 Java1.0 到 Java9 对应每一个版本号 :JDK1.0、JDK1.2 ......Java10以后,JDK对应名称为:JDk10、JDK11、JDK12... JDK17 参考: Java--Java版本和JDK版本_MinggeQingchun的博客-CSDN博客_java jdk版本
  • tomcat与jdk版本对应关系图

    千次阅读 2019-06-16 18:34:27
    下图是tomcat与jdk对应版本: 因tomcat与jdk版本都在不断变化,因此请前往tomcat官网进行查证,官网版本对应关系地址:http://tomcat.apache.org/whichversion.html ...
  • Elasticsearch与jdk版本对应关系

    千次阅读 2022-03-01 10:51:54
    Elasticsearch支持的jdk版本对应关系,可访问官网地址查看最新 elastic产品与jdk版本对应关系 截图时间:2022年3月1日10:53:56
  • Tomcat与JDK版本对应关系,Tomcat各版本特性

    万次阅读 多人点赞 2019-10-18 11:44:13
    文章目录Alpha / Beta / StableApache Tomcat 9.xApache Tomcat 8.xApache Tomcat 7.xApache Tomcat 6.x Apache Tomcat是一个开源软件实现...不同版本的Servlet和JSP规范可使用不同版本的Apache Tomcat。Tomcat与JDK...
  • jdk 版本 maven 版本 1.2.0 版本之前 6 3.0 1.2.0 4.1.3+ 6 3.2+ 1.2.1 4.1.3+ 7 3.2+ 1.2.3 4.1.5+ 7 3.2+ 1.3.4 4.2.6+ 7 3.2+ 1.3.6 4.2.7+...
  • 搭建spring框架得时候要考虑jdk版本,提供一下参考 JDK 8 中可以使用 Spring Framework 5.x JDK 7 中可以使用 Spring Framework 4.x JDK 6 中可以使用 Spring Framework 4.x JDK 5 中可以使用 Spring Framework 3....
  • 这篇文章主要介绍了Tomcat与JDK版本对应关系以及Tomcat各版本特性,文中通过示例代码介绍的非常详细,对大家的学习或者工作具有一定的参考学习价值
  • Hibernate相关jar包括新版本jdk不兼容旧版本的jar.zip
  • Android各版本对应的SDK和JDK版本

    千次阅读 2021-05-28 08:41:54
    一、Android各版本对应的SDK版本:平台版本SDK版本版本名称Android 8.026OreoAndroid 7.125NougatAndroid 7.024NougatAndroid 6.023MarshmallowAndroid 5.122LollipopAndroid 5.021LollipopAndroid 4.419...
  • NULL 博文链接:https://ligaosong.iteye.com/blog/1750085
  • jdk8u121,JEB需要的jdk1.8版本
  • 最新elasticsearch版本jdk版本对应

    千次阅读 2021-07-03 17:49:34
    官网:https://www.elastic.co/cn/support/matrix#matrix_jvm Spring Boot和Spring Data Elasticsearch和Elasticsearch 版本对应关系 ...
  • Eclipse版本JDK版本对应关系

    万次阅读 多人点赞 2018-04-20 14:09:34
    版本代号平台版本主要版本发行日期SR1发行日期SR2发行日期需要的JDK最低版本Callisto3.22006年6月26日N/AN/AJDK1.4Europa3.32007年6月27日2007年9月28日2008年2月29日JDK1.5Ganymede3.42008年6月25日2008年9月24日...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 491,556
精华内容 196,622
关键字:

jdk版本不对应